Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.fastedge.templates.list()
page = page.templates[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Fastedge.Templates.List(context.TODO(), fastedge.TemplateListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/fastedge/v1/template \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"id": 123,
"name": "<string>",
"api_type": "<string>",
"owned": true,
"short_descr": "<string>",
"long_descr": "<string>"
}
],
"count": 123
}{
"error": "<string>"
}Templates
List app templates
Retrieve available application templates including system templates and user-created templates. Templates provide pre-configured application settings that can be reused for quick deployment.
GET
/
fastedge
/
v1
/
template
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.fastedge.templates.list()
page = page.templates[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Fastedge.Templates.List(context.TODO(), fastedge.TemplateListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
API type:
wasi-http - WASI with HTTP entry point
proxy-wasm - Proxy-Wasm app, callable from CDN
Available options:
wasi-http, proxy-wasm When true, returns only templates created by the client. When false, includes shared templates.
Maximum number of results to return
Required range:
1 <= x <= 1000Number of results to skip for pagination
Required range:
x >= 0Was this page helpful?